LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
Policy Service Referencepublished

Service for getting sets of permissions reading from some persistent storage. More...

`import"Policy.idl";`

Inheritance diagram for Policy:

## Additional Inherited Members
Public Member Functions inherited from XPolicy
sequence< any > | getPermissions ([in] string userId)
| Gets the permissions of the specified user excluding the default permissions granted to all users. More...
sequence< any > | getDefaultPermissions ()
| Gets the default permissions granted to all users. More...
void | refresh ()
| Refreshes the policy configuration. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service for getting sets of permissions reading from some persistent storage.

Since
  OOo 1.1.2

The documentation for this service was generated from the following file:

- com/sun/star/security/Policy.idl